@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.slide
  display: flex
  flex-direction: column
  justify-content: space-between
  margin: 100px 0
  @media (max-width: $mbp)
    margin: 100px 0
  &-container
    display: grid
    height: 100vh
  &-wrapper
    height: 100vh
    position: relative
    display: grid
    background-position: center
    background-size: cover
    background-repeat: no-repeat
    background-image: url("~@/assets/images/slides/slide_bg.jpeg")
    &:not(:last-child)
      &::after
        content: ''
        position: absolute
        bottom: 0
        width: 100%
        height: 50px
        background: url("~@/assets/images/slides/slide_shadow.svg") no-repeat center / cover
    &:not(:first-child)
      &::before
        content: ''
        position: absolute
        top: 0
        width: 100%
        height: 50px
        background: url("~@/assets/images/slides/slide_shadow.svg") no-repeat center / cover
        transform: rotate(180deg)
    @media (max-width: $mbp)
      background-image: url("~@/assets/images/slides/slide_bg.jpeg")
  &-top
    display: grid
    margin-bottom: 24px
    @media (max-width: $mbp)
      .slide__text
        padding-left: 40px
  &-bottom
    display: grid
    justify-content: flex-end
    @media (max-width: $mbp)
      .slide__text:last-child
        padding-left: 40px
  &__title
    @extend .text-f36
    font-weight: 700
    color: $white
    opacity: 0
    margin-bottom: 50px
    @media (max-width: $mbp)
      font-size: $f28-size
      line-height: $f28-lh
      margin-bottom: 25px
  &__text
    @extend .text-f24
    font-weight: 500
    color: $white
    opacity: 0
    @media (max-width: $mbp)
      font-size: $f18-size
      line-height: $f18-lh
    &:not(:last-child)
      margin-bottom: 16px

.text-green
  color: $green
